Jump to content
php.lv forumi

Recommended Posts

Sveiki!

 

Uzduros nelielai problemai ar Composer. Lietoju windows uz sava local dev servera. Composer ir uzinstalets, un pats par sevi strada.

Problema ir, ka, kad es meginu palaizt install komandu: "php composer.phar install", man met erroru:

fatal: Not a git repository (or any of the parent directories): .git
fatal: Not a git repository (or any of the parent directories): .git
abort: no repository found in 'C:\xampp\htdocs\Project109' (.hg not found)!
'svn' is not recognized as an internal or external command,
operable program or batch file.

Luk seit ir saturs no "composer.json":

{
    "require": {
        "blocktrail/blocktrail-sdk": "1.1.*"
    }
}

Nevaru iebraukt, kadel nestrada. Esmu iesacejs ar Composer, bet man ir shita lieta jaieshari :)

 

Paldies par palidzibu,

WingTsun™

Edited by WingTsun
Link to post
Share on other sites

Izskatās, ka vispirms tiek meklēts GIT. Ja git nav, tad mēģina SVN vai mercurial.

 

Karoč. Vajag git.

 

 

 

System Requirements#

Composer requires PHP 5.3.2+ to run. A few sensitive php settings and compile flags are also required, but when using the installer you will be warned about any incompatibilities.

To install packages from sources instead of simple zip archives, you will need git, svn or hg depending on how the package is version-controlled.

Composer is multi-platform and we strive to make it run equally well on Windows, Linux and OSX.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...